#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	25.04.1
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kbruch
Summary:	Kbruch
Name:		ka6-%{kaname}
Version:	25.04.1
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications/Games
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	0d16a4931852bcf9a994a6187da1cd60
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel >= 5.11.1
BuildRequires:	Qt6Widgets-devel
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-devel
BuildRequires:	kf6-extra-cmake-modules >= %{kframever}
BuildRequires:	kf6-kconfig-devel >= %{kframever}
BuildRequires:	kf6-kcrash-devel >= %{kframever}
BuildRequires:	kf6-kdoctools-devel >= %{kframever}
BuildRequires:	kf6-ki18n-devel >= %{kframever}
BuildRequires:	kf6-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	kf6-kxmlgui-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Obsoletes:	ka5-%{kaname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KBruch is a small program to practice calculating with fractions and
percentages. Different exercises are provided for this purpose and you
can use the learning mode to practice with fractions. The program
checks the user's input and gives feedback.

%description -l pl.UTF-8
KBruch to mały program do ćwiczenia obliczeń na ułamkach i procentach.
W tym celu program podaje różne ćwiczenia, dzięki którym możesz
trenować operacje na ułamkach w trybie nauki. KBruch sprawdza
odpowiedzi użytkownika i podaje informacje zwrotne.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kbruch
%{_desktopdir}/org.kde.kbruch.desktop
%{_datadir}/config.kcfg/kbruch.kcfg
%{_iconsdir}/hicolor/16x16/apps/kbruch.png
%{_iconsdir}/hicolor/22x22/apps/kbruch.png
%{_iconsdir}/hicolor/32x32/apps/kbruch.png
%{_iconsdir}/hicolor/48x48/apps/kbruch.png
%{_iconsdir}/hicolor/64x64/apps/kbruch.png
%{_iconsdir}/hicolor/128x128/apps/kbruch.png
%{_iconsdir}/hicolor/scalable/apps/kbruch.svgz
%{_datadir}/kbruch
%lang(ca) %{_mandir}/ca/man1/kbruch.1*
%lang(de) %{_mandir}/de/man1/kbruch.1*
%lang(es) %{_mandir}/es/man1/kbruch.1*
%lang(et) %{_mandir}/et/man1/kbruch.1*
%lang(it) %{_mandir}/it/man1/kbruch.1*
%{_mandir}/man1/kbruch.1*
%lang(nl) %{_mandir}/nl/man1/kbruch.1*
%lang(pt) %{_mandir}/pt/man1/kbruch.1*
%lang(pt_BR) %{_mandir}/pt_BR/man1/kbruch.1*
%lang(ru) %{_mandir}/ru/man1/kbruch.1*
%lang(sv) %{_mandir}/sv/man1/kbruch.1*
%lang(uk) %{_mandir}/uk/man1/kbruch.1*
%{_datadir}/metainfo/org.kde.kbruch.appdata.xml
%lang(fr) %{_mandir}/fr/man1/kbruch.1*
%lang(sl) %{_mandir}/sl/man1/kbruch.1*
%changelog
* Fri May 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-kbruch.git;a=log;h=master

* Thu May 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> b12c921
- updated to 25.04.1

* Thu Apr 24 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 851d8af
- update_desktop_database

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 1737c20
- updated to 25.04.0

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 0a48a69
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 8a2fad9
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 2cd1664
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 37c9e60
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f3e9ef5
- updated to 24.08.3

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 58723f3
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 88a89f4
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c561491
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d891f1b
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 2bc127e
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e630efd
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3895d3c
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9910e91
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> aa096ab
- updated to 24.02.0

